/* Search Page Styles */

:root{
    --card-width: 31.25rem;
    --card-height: calc(var(--card-width) / 1.618);
    --card-gap: 2rem;

    --primary-color: #ff6600;
    --secondary-color: #2c3e50;
    --text-color: #4a4a4a;
    --background-color: #f0f8ff;
    --white: #ffffff;
    --light-gray: #f8f9fa;
}

main {
    max-width: fit-content;
}

.search-page {
    margin: 0 auto;
    padding: 2rem;

}

.content-wrapper {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

h1 {
    font-size: 2.5rem;
    margin-bottom: 20px;
    text-align: center;
}

.search-controls {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
    margin-bottom: 20px;
    width: 100%;
}


#advanced-search-form {
    max-width: var(--card-width);
    display: flex;
    margin-bottom: 20px;
    width: 100%;
    flex-grow: 1;
}

#search-input {
    flex-grow: 1;
    padding: 10px;
    font-size: 1rem;
    border: 1px solid #ccc;
    border-radius: 4px 0 0 4px;
}

#advanced-search-form button {
    padding: 10px 20px;
    font-size: 1rem;
    background-color: var(--primary-color);
    color: white;
    border: none;
    border-radius: 0 4px 4px 0;
    cursor: pointer;
}

.search-sidebar {
    display: flex;
    align-items: left;
    margin-bottom: 20px;
    padding: 10px;
}

.sort-options {

    color: var(--);
    background-color: var(--white);
    border: 1px solid #ccc;
    border-radius: 4px  4px 4px 4px;
    padding-left: 10px;
    max-height: 41px
}

#sort-select {
    padding: 5px;
    font-size: 1rem;
    height: 41px;
    background-color: #ff6600;
    color: var(--white);
    border: none;
    text-align: center;
}


.search-content{
    width: calc(var(--card-width) * 3 + var(--card-gap) * 2);
    display: flex;
    justify-content: center;
    /* align-items: center; */
}

#search-results {
    /* position: relative; */
    width: calc(var(--card-width) * 3 + var(--card-gap) * 2);
    min-height: 67.666vh;
    align-items: top;
}


.profile-grid {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 20px;
    margin: 0 auto;
}

.profile-card {
    flex: 0 1 var(--card-width);
    width: var(--card-width);
    height: var(--card-height);
    min-width: calc(var(--card-width) / 1.618);
    max-width: var(--card-width);
    border: 1px solid #ddd;
    border-radius: 8px;
    overflow: hidden;
    transition: box-shadow 0.3s ease;
    display: flex;
    flex-direction: column;
    text-decoration: none;
}

.profile-card:hover {
    box-shadow: 0 4px 8px rgba(0,0,0,0.1);
}

.profile-card__content {
    flex: 1;
    display: flex;
    flex-direction: row;
}


.profile-card__image {
    width: 100px;
    height: 100px;
    flex-shrink: 0;
    align-self: center;
    margin-right: 1rem;
    margin-left: 1rem;
    overflow: hidden;
    display: flex;

}

.profile-card__image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.profile-card__info {
    flex: 1;
    padding: 15px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    background-color: var(--white);
}

.profile-card__name {
    font-size: 1.2rem;
    margin: 10px 0;
    color: var(--secondary-color);
}

.profile-card__details {
    list-style-type: none;
    padding: 0;
    color: var(--text-color);
}

.profile-card__details li {
    margin-bottom: 5px;
}

.profile-card__skills {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 5px;
    padding: 10px;
    background-color: #f0f0f0;
}

.profile-card__skills span {
    background-color: #007bff;
    color: white;
    padding: 3px 8px;
    border-radius: 12px;
    font-size: 0.8rem;
}


/* Adjust media queries as needed */
@media (max-width: 1800px) {
    .profile-card {
        flex: 0 1 calc(33.333% - 20px);
    }
}

@media (max-width: 1200px) {
    .profile-card {
        flex: 0 1 calc(50% - 20px);
    }
}

@media (max-width: 768px) {
    .profile-card {
        flex: 0 1 100%;
    }
}

/* Pagination Styles */

#pagination-container {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 20px;
}

#pagination-container button {
    margin: 0 5px;
    padding: 5px 10px;
    background-color: var(--primary-color);
    color: white;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

.star {
    color: #ffd700;
    font-size: 1.3rem;
}

.star.empty {
    color: #ccc;
    font-size: 1.3rem;
}

